Bug 456749 - Nothing happens when using a fingerprint reader (fprint)
Nothing happens when using a fingerprint reader (fprint)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 07:41 EDT by xavier.loup
Modified: 2008-09-10 02:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 16:59:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xavier.loup 2008-07-26 07:41:09 EDT
Description of problem:

Version-Release number of selected component (if applicable):
 - system-config-display-1.0.51-9.fc9.noarch
 - pam_fprint-0.2-3.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Use a computer with a fingerprint reader
2. Configure pam_fprint (http://reactivated.net/fprint/wiki/Pam_fprint)
3. In gnome, go to System menu and choose Administration > Display
  
Actual results:
Nothing happens until you have your fingerprint read.

Expected results:
A message box should tell you to have your fingerprint read.

Additional info:
All other fedora system-config-utilities have the problem.
In GDM or in console, a message is sent to the user when he has to have his
fingerprint verified.
Comment 1 Matěj Cepl 2008-07-26 18:41:21 EDT
(In reply to comment #0)
> All other fedora system-config-utilities have the problem.

So, let's put blame where it beholds.
Comment 2 Miloslav Trmač 2008-07-26 19:10:42 EDT
Thanks for your report.

(userhelper currently doesn't output any PAM messages until a prompt appears.)
Comment 3 Miloslav Trmač 2008-08-03 02:55:17 EDT
Fixed in usermode-1.98.
Comment 4 Fedora Update System 2008-08-03 03:17:49 EDT
usermode-1.98-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-08-07 19:53:37 EDT
usermode-1.98-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update usermode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7056
Comment 6 xavier.loup 2008-08-15 17:25:06 EDT
The new version fixes the problem.
Thanks.
Comment 7 petrosyan 2008-09-09 16:59:17 EDT
if the bug is fixed change its status to CLOSED and not VERIFIED.

VERIFIED means that the bug is still present.
Comment 8 Miloslav Trmač 2008-09-09 17:04:08 EDT
Petrosyan, the update was not pushed to stable yet.
Comment 9 Fedora Update System 2008-09-10 02:57:06 EDT
usermode-1.98-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.